<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">

<HTML>
  <HEAD>
	 <TITLE>Pd Documentation 1</TITLE>
    <meta http-equiv="Content-Type" content="text/html">
	 <link rel="stylesheet" type="text/css" href="pdmanual.css" media="screen">
  </HEAD>

<BODY>

<H2>Pd Documentation chapter 1: introduction</H2>

<P>
<A href="index.htm#s1"> back to table of contents </A>
<BR><BR>
</P>


<P>
This is the HTML documentation for the Pd computer program.
Pd is free and can be downloaded from the internet;
go to
    <A href="http://www.crca.ucsd.edu/~msp/software.html">
    http://www.crca.ucsd.edu/~msp/software.html</A>
to get it.
<H3> <A name=s1> 1.1. guide to the documentation </A> </H3>

<P> Pd's documentation consists of:

<UL>
<LI> this HTML manual
<LI> "reference" patches, one for each kind of object in Pd
<LI> "example" patches showing how to do things
<LI> sample C code
</UL>

<P>
This manual has five sections:

<OL>
<LI> this overview
<LI> <A href="x2.htm">
    a theory of operations, explaining how Pd works </A>
<LI> <A href="x3.htm">
    instructions on installing Pd and getting it to run </A>
<LI> <A href="x4.htm"> how to write C extensions to Pd </A>
<LI> <A href="x5.htm"> release notes and known bugs </A>
</OL>

<P> In order to consult the reference and example patches, you'll first have
to get Pd started as explained in this manual.

<P>
For a list of all the objects you can use in Pd, see the text file,
"0.INTRO.txt" in the directory, "../5.reference".  To get help on any
Pd object you can right click on it; or you can browse the help patches
by choosing "Pure Documentation..." in the Pd help menu and looking in
5.reference.

<P>
The example patches are also available from the "Pure Documentation..." item
in Pd's
"help" menu.  The example patches appear in subdirectories named
"2.control.examples", "3.audio.examples" and "4.fft.examples."  Some additional
patches in "7.stuff" might also be helpful.

<P>
To get started writing your own C extensions, refer to chapter 4 of this manual.

<H3> <A name=s2> 1.2. other resources </A> </H3>

<P> There is a new Pd community web site,
<a href="http://www.pure-data.info/"> pure-data.info</a>, which aims to be the
central resource for Pd, from documentation and
downloads; to forums, member pages, a patch exchange.

<P> There is a growing number of Pd-related projects hosted at 
<A HREF="http://pure-data.sf.net">SourceForge</A>.  This is open to all Pd
developers, and all are encouraged to join; send an email to the pd-dev list
(see below).

<P>
Most of the interesting resources related to Pd show up on the Pd mailing list,
maintained by Iohannes Zmoelnig.  To subscribe or browse the archives
visit:
    <A href="http://iem.kug.ac.at/mailinglists/pd-list/">
    http://iem.kug.ac.at/mailinglists/pd-list/</A>.

.  This is the
best source of recent information regarding installation problems and bugs.  It
is perfectly reasonable to post "newbie" questions on this list; alternatively
you can contact msp@ucsd.edu for help.

<P> Many extensions to Pd are announced on the mailing list.  In particular,
for people interested in graphics, there is a A 3D graphics rendering package,
named GEM, based on OpenGL, written by Mark Danks, adapted to Linux by
Guenter Geiger, and now maintained by Iohannes Zmoelnig.  GEM runs on
Windows and Linux and probably will run with some coaxing on IRIX.  You can get
it from: <A href="http://iem.kug.ac.at/GEM">http://iem.kug.ac.at/GEM</A> .

<P> At least three video processing packages are available for Pd. The oldest
is Framestein, by Juha Vehvilainen.  This runs on Windows only: <A
href="http://framestein.org"> http://framestein.org </A>.

<P> The newer  <A> href="http://zwizwa.fartit.com/pd/pdp/overview.html"> PDP
<A> library, by Tom Schouten, and its extension <A
href="http://ydegoyon.free.fr/pidip.html"> PiDiP </A> by Yves Degoyon, run well
in linux and has been ported to Windows and MacOS.  Video is extremely fast in
PDP, but is currently limited to 240x320 resolution.  

<P> Mathieu Bouchard has written  <A href=http://artengine.ca/gridflow/>
Gridflow </A>, which runs on linux and MacOSX.  The mathematical operators are
more powerful than in PDP, and the design makes smarter use of cache behavior
in modern CPUs.

All this and much more is described in detail at the 
<A href="http://puredata.info/community/projects/convention04/">
first Pd Convention </A>.


<P>
Here are some more Pd links (in the order I found them): <BR>

<a href="http://www.crca.ucsd.edu/~msp"> Miller Puckette's home page</a><br>
<a href="http://gige.epy.co.at/"> Guenter Geiger's home page</a><br>
<a href="http://www.danks.org/mark"> Mark Dank's home page</a><br>
<a href="http://wonk.epy.co.at">Pd page on Wonk (Klaus)</a><br>
<a href="http://iem.kug.ac.at/~zmoelnig/index.html">
    Johannes M Zmoelnig</a><br>
<a href="http://iem.kug.ac.at/~math/pd/"> Norbert Math's Pd page</a> <br>
<a href="http://iem.kug.ac.at/pdwiki/">
Nicolas Lhommet's WikiWikiWeb page for Pd</a><br>
<a href="http://iem.kug.ac.at/pdb/"> Norbert's searchable list of all known 
Pd objects</a><br>
<a href="http://suita.chopin.edu.pl/~czaja/miXed/externs/xeq.html">
Krzysztof Czaja's MIDI file support </a><br>
<a href="http://www.davesabine.com/media/puredata.asp?action=pddp">
David Sabine's Pd Documentation Project:
new, highly detailed help windows</a><br>
<a href="http://www-ccrma.stanford.edu/planetccrma/software/soundapps.html#pd">
Fernando Pablo Lopez's augmented Pd RPMs from Planet CCRMA</a><br>
<a href="http://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html">
Cyclone - Krzysztof Czaja's Max compatibility library</a><br>
On-line book project:
<A HREF="http://www.crca.ucsd.edu/~msp/techniques.htm"
<I> Theory and Techniques of Electronic Music </I> <br>

</BODY>
</HTML>
